package com.college.data

import io.ktor.server.application.*
import io.ktor.server.engine.*
import org.jetbrains.exposed.sql.Database
import org.jetbrains.exposed.sql.transactions.experimental.newSuspendedTransaction

object DbSettings {
    val db by lazy {
        Database.connect(
            url = "jdbc:postgresql://localhost:5432/presence",
            user = "postgres",
            password = "123"
        )
    }

    suspend fun <T> query(block: suspend () -> T): T =
        newSuspendedTransaction { block() }

}