package com.college.data.table

import org.jetbrains.exposed.dao.id.IntIdTable
import org.jetbrains.exposed.sql.javatime.date

object PresenceAttendanceIntTable:IntIdTable(name = "presences") {
    val user = reference("user_id", UserUuidTable )
    val attendanceType = reference("attendance_type_id", AttendanceTypeIntTable)
    val date = date("presence_date").default(java.time.LocalDate.now())
    val subject = reference("subject_id", SubjectIntTable)
    val lessonNumber = integer(name = "presence_lesson_number")
}